cvs commit: ports/comms/gnokii Makefile ports/databases/clip ports/editors/openoffice-1.1 Makefile ports/editors/vim Makefile ports/irc/irssi Makefile ports/korean/gdick Makefile ports/misc/mc ...

Joe Marcus Clarke marcus at FreeBSD.org
Thu Feb 12 23:27:06 PST 2004


On Fri, 2004-02-13 at 02:17, David O'Brien wrote:
> On Tue, Feb 03, 2004 at 09:25:22PM -0800, Joe Marcus Clarke wrote:
> > marcus      2004/02/03 21:25:22 PST
> >   FreeBSD ports repository
> >   Modified files:
> ..
> >     editors/vim          Makefile 
> >   Log:
> >   Set {WANT,USE}_GNOME correctly to make these ports compatible with the new
> >   bsd.port.mk.
> 
> Marcus,
> Can you check that this change is proper?  I don't follow GNOME at all,
> but it seems Vim is now always {WANT,USE}_GNOME -- which is wrong.  One
> can specify to build Vim various ways.  From w/o X11 support, to with
> just Athena widgets, all the way to GNOME-ME-HARDER.

The change doesn't affect any of the other various modes.  For example,
on a clean system:

% make package-depends
libiconv-1.9.1_3:converters/libiconv
glib-1.2.10_10:devel/glib12
pkgconfig-0.15.0:devel/pkgconfig
gtk-1.2.10_10:x11-toolkits/gtk12
gettext-0.13.1:devel/gettext
expat-1.95.6_1:textproc/expat2
XFree86-libraries-4.3.0_6:x11/XFree86-4-libraries
freetype2-2.1.5_1:print/freetype2
fontconfig-2.2.90_3:x11-fonts/fontconfig
imake-4.3.0_1:devel/imake-4

% make -DNO_GUI package-depends
libiconv-1.9.1_3:converters/libiconv

% make -DWITH_MOTIF package-depends
libiconv-1.9.1_3:converters/libiconv
open-motif-2.2.2_1:x11-toolkits/open-motif
XFree86-libraries-4.3.0_6:x11/XFree86-4-libraries
freetype2-2.1.5_1:print/freetype2
fontconfig-2.2.90_3:x11-fonts/fontconfig
expat-1.95.6_1:textproc/expat2
pkgconfig-0.15.0:devel/pkgconfig
imake-4.3.0_1:devel/imake-4

% make -DWITH_GTK2 package-depends
libiconv-1.9.1_3:converters/libiconv
glib-2.2.3:devel/glib20
gettext-0.13.1:devel/gettext
expat-1.95.6_1:textproc/expat2
pkgconfig-0.15.0:devel/pkgconfig
atk-1.4.1_2:accessibility/atk
pango-1.2.5:x11-toolkits/pango
Xft-2.1.2_1:x11-fonts/Xft
fontconfig-2.2.90_3:x11-fonts/fontconfig
freetype2-2.1.5_1:print/freetype2
XFree86-libraries-4.3.0_6:x11/XFree86-4-libraries
imake-4.3.0_1:devel/imake-4
XFree86-fontScalable-4.3.0:x11-fonts/XFree86-4-fontScalable
XFree86-fontEncodings-4.3.0:x11-fonts/XFree86-4-fontEncodings
gtk-2.2.4_1:x11-toolkits/gtk20
png-1.2.5_2:graphics/png
tiff-3.6.0:graphics/tiff
jpeg-6b_1:graphics/jpeg

I tested -DWITH_GNOME, too, but I think you get the idea.  Setting
WANT_GNOME just instructs bsd.gnome.mk to build a list of available
GNOME components.  It does not mean that GNOME has to be used.  Does
that address your concern?

Joe

-- 
Joe Marcus Clarke
FreeBSD GNOME Team	::	gnome at FreeBSD.org
FreeNode / #freebsd-gnome
http://www.FreeBSD.org/gnome
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 187 bytes
Desc: This is a digitally signed message part
Url : http://lists.freebsd.org/pipermail/cvs-all/attachments/20040213/2d2763ad/attachment.bin


More information about the cvs-all mailing list